package com.common.entity.RuleContent;


public class MappersType {
    private Integer capture_group_index;
    private String origin_field;
    private String src_field;
    private String dest_field;
    private String value;
    private String assigned_value;
    private Integer strategy;
    private String mapping_rule_name;
    private ActionType action;

    // Constructors
    public MappersType() {}

    // Getters and Setters
    public Integer getcapture_group_index() {
        return capture_group_index;
    }

    public void setcapture_group_index(Integer capture_group_index) {
        this.capture_group_index = capture_group_index;
    }

    public String getorigin_field() {
        return origin_field;
    }

    public void setorigin_field(String origin_field) {
        this.origin_field = origin_field;
    }

    public String getsrc_field() {
        return src_field;
    }

    public void setsrc_field(String src_field) {
        this.src_field = src_field;
    }

    public String getdest_field() {
        return dest_field;
    }

    public void setdest_field(String dest_field) {
        this.dest_field = dest_field;
    }

    public String getvalue() {
        return value;
    }

    public void setvalue(String value) {
        this.value = value;
    }

    public String getassigned_value() {
        return assigned_value;
    }

    public void setassigned_value(String assigned_value) {
        this.assigned_value = assigned_value;
    }

    public Integer getstrategy() {
        return strategy;
    }

    public void setstrategy(Integer strategy) {
        this.strategy = strategy;
    }

    public String getmapping_rule_name() {
        return mapping_rule_name;
    }

    public void setmapping_rule_name(String mapping_rule_name) {
        this.mapping_rule_name = mapping_rule_name;
    }

    public ActionType getaction() {
        return action;
    }

    public void setaction(ActionType action) {
        this.action = action;
    }

}